Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
MittelmannParaCntrl5_1::ProblemSpecs Class Reference

`#include <MittelmannParaCntrl.hpp>`

## Public Member Functions
| ProblemSpecs ()
Number | T ()
Number | l ()
Number | lb_y ()
Number | ub_y ()
Number | lb_u ()
Number | ub_u ()
Number | alpha ()
Number | beta ()
Number | y_T (Number x)
Number | a (Number x)
Number | a_y (Number t)
Number | a_u (Number t)
Number | b (Number t)
Number | phi (Number y)
Number | phi_dy (Number y)
Number | phi_dydy (Number y)
bool | phi_dydy_always_zero ()

## Private Attributes
const Number | pi_
const Number | exp13_
const Number | exp23_
const Number | exp1_
const Number | expm1_
const Number | sqrt2_

## Detailed Description

Definition at line 645 of file MittelmannParaCntrl.hpp.

## Constructor & Destructor Documentation

MittelmannParaCntrl5_1::ProblemSpecs::ProblemSpecs | ( |  | ) |
| inline

Definition at line 648 of file MittelmannParaCntrl.hpp.

## Member Function Documentation

Number MittelmannParaCntrl5_1::ProblemSpecs::T | ( |  | ) |
| inline

Definition at line 657 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::l | ( |  | ) |
| inline

Definition at line 661 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::lb_y | ( |  | ) |
| inline

Definition at line 665 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::ub_y | ( |  | ) |
| inline

Definition at line 669 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::lb_u | ( |  | ) |
| inline

Definition at line 673 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::ub_u | ( |  | ) |
| inline

Definition at line 677 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::alpha | ( |  | ) |
| inline

Definition at line 681 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::beta | ( |  | ) |
| inline

Definition at line 685 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::y_T | ( | Number | x | ) |
| inline

Definition at line 689 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::a | ( | Number | x | ) |
| inline

Definition at line 693 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::a_y | ( | Number | t | ) |
| inline

Definition at line 697 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::a_u | ( | Number | t | ) |
| inline

Definition at line 701 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::b | ( | Number | t | ) |
| inline

Definition at line 705 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::phi | ( | Number | y | ) |
| inline

Definition at line 710 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::phi_dy | ( | Number | y | ) |
| inline

Definition at line 714 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_1::ProblemSpecs::phi_dydy | ( | Number | y | ) |
| inline

Definition at line 718 of file MittelmannParaCntrl.hpp.

bool MittelmannParaCntrl5_1::ProblemSpecs::phi_dydy_always_zero | ( |  | ) |
| inline

Definition at line 722 of file MittelmannParaCntrl.hpp.

## Member Data Documentation

const Number MittelmannParaCntrl5_1::ProblemSpecs::pi_
| private

Definition at line 727 of file MittelmannParaCntrl.hpp.

const Number MittelmannParaCntrl5_1::ProblemSpecs::exp13_
| private

Definition at line 728 of file MittelmannParaCntrl.hpp.

const Number MittelmannParaCntrl5_1::ProblemSpecs::exp23_
| private

Definition at line 729 of file MittelmannParaCntrl.hpp.

const Number MittelmannParaCntrl5_1::ProblemSpecs::exp1_
| private

Definition at line 730 of file MittelmannParaCntrl.hpp.

const Number MittelmannParaCntrl5_1::ProblemSpecs::expm1_
| private

Definition at line 731 of file MittelmannParaCntrl.hpp.

const Number MittelmannParaCntrl5_1::ProblemSpecs::sqrt2_
| private

Definition at line 732 of file MittelmannParaCntrl.hpp.

The documentation for this class was generated from the following file:

- examples/ScalableProblems/MittelmannParaCntrl.hpp